Skip to main content
POST
/
api
/
v2
/
platform
/
promotion_actions
Create a Promotion Action
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    promotion_action: {type: 'Spree::Promotion::Actions::CreateAdjustment', promotion_id: '22'}
  })
};

fetch('http://{defaultHost}/api/v2/platform/promotion_actions', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
{
  "data": {
    "id": "9",
    "type": "promotion_action",
    "attributes": {
      "position": null,
      "type": null,
      "deleted_at": null,
      "created_at": "2022-11-08T19:34:56.379Z",
      "updated_at": "2022-11-08T19:34:56.379Z"
    },
    "relationships": {
      "promotion": {
        "data": {
          "id": "7",
          "type": "promotion"
        }
      }
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

include
string

Select which associated resources you would like to fetch, see: https://jsonapi.org/format/#fetching-includes

Body

application/json
promotion_action
object
required

Response

201 - application/vnd.api+json

Record created

data
object
required